/*
			 Hex View Widget Callbacks
 */

#ifndef HVIEWCB_H
#define HVIEWCB_H

#include <gtk/gtk.h>
#include "hview.h"


extern gint HViewDeleteEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);
extern gint HViewConfigureCB(
	GtkWidget *widget, GdkEventConfigure *configure, gpointer data
);
extern gint HViewExposeCB(
	GtkWidget *widget, GdkEventExpose *expose, gpointer data
);
extern gint HViewKeyCB(
	GtkWidget *widget, GdkEventKey *key, gpointer data
);
extern gint HViewButtonCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);
extern gint HViewMotionCB(
	GtkWidget *widget, GdkEventMotion *motion, gpointer data
);
extern gint HViewDrawIdleCB(gpointer data);
extern void HViewValueChangedCB(GtkAdjustment *adj, gpointer data);

extern void HViewInsertCB(GtkWidget *w, gpointer data);
extern void HViewDeleteCB(GtkWidget *w, gpointer data);
extern void HViewCutCB(GtkWidget *w, gpointer data);
extern void HViewCopyCB(GtkWidget *w, gpointer data);
extern void HViewPasteCB(GtkWidget *w, gpointer data);
extern void HViewSelectAllCB(GtkWidget *w, gpointer data);
extern void HViewUnselectAllCB(GtkWidget *w, gpointer data);
extern void HViewEditModeHexCB(GtkWidget *w, gpointer data);
extern void HViewEditModeASCIICB(GtkWidget *w, gpointer data);


#endif	/* HVIEWCB_H */
